## libapache2-mod-authnz-external 3.2.4

=== Makefile ===
# Location of apxs command:
#APXS=apxs2
APXS=apxs

TAR= README INSTALL INSTALL.HARDCODE CHANGES AUTHENTICATORS UPGRADE TODO \
	mod_authnz_external.c mysql/* pwauth/* radius/* sybase/* test/* \
	Makefile

install: mod_authnz_external.la
	$(APXS) -i -a mod_authnz_external.la

build: mod_authnz_external.la

mod_authnz_external.la: 
	$(APXS) -c mod_authnz_external.c

clean:
	rm -rf mod_authnz_external.so mod_authnz_external.o \
	    mod_authnz_external.la mod_authnz_external.slo \
	    mod_authnz_external.lo .libs
	ls -a .*.swp

mae.tar: $(TAR)
	tar cvf mae.tar $(TAR)

## libapache2-mod-authnz-external 3.3.1

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,17 @@
 APXS=apxs
 
 TAR= README INSTALL INSTALL.HARDCODE CHANGES AUTHENTICATORS UPGRADE TODO \
-	mod_authnz_external.c mysql/* pwauth/* radius/* sybase/* test/* \
-	Makefile
+	mod_authnz_external.c test/* Makefile
+
+.DEFAULT_GOAL:= build
+.PHONY: install build clean
 
 install: mod_authnz_external.la
 	$(APXS) -i -a mod_authnz_external.la
 
 build: mod_authnz_external.la
 
-mod_authnz_external.la: 
+mod_authnz_external.la: mod_authnz_external.c
 	$(APXS) -c mod_authnz_external.c
 
 clean:

=== debian/changelog ===
libapache2-mod-authnz-external (3.3.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release, suitable for Apache 2.4 (closes: #633638).
  * Port packaging to Apache 2.4 (closes: #666815).
  * Update debian/watch.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jul 2013 22:04:38 +0100

libapache2-mod-authnz-external (3.2.4-2.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix SQL injection via the $user paramter (Closes: #633637)
    Fixes: CVE-2011-2688

 -- Steffen Joeris <white@debian.org>  Mon, 18 Jul 2011 10:26:11 +1000

libapache2-mod-authnz-external (3.2.4-2) unstable; urgency=low

  * libapache2-mod-authnz-external does not install the .load file
    (Closes: #534492)

 -- Hai Zaar <haizaar@haizaar.com>  Fri, 26 Jun 2009 11:08:21 +0300

libapache2-mod-authnz-external (3.2.4-1) unstable; urgency=low

  * Initial release (Closes: #526786)

 -- Hai Zaar <haizaar@haizaar.com>  Sun, 21 May 2009 17:02:00 +0300

=== debian/control ===
Source: libapache2-mod-authnz-external
Section: web
Priority: optional
Maintainer: Hai Zaar <haizaar@haizaar.com>
Build-Depends: debhelper (>= 7), dh-apache2, apache2-dev (>= 2.4.0)
Standards-Version: 3.8.2
Homepage: http://code.google.com/p/mod-auth-external

Package: libapache2-mod-authnz-external
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pwauth
Description: authenticate Apache against external authentication services
 Mod_Auth_External can be used to quickly construct secure, reliable
 authentication systems.  It can also be mis-used to quickly open gaping
 holes in your security.  Read the documentation, and use with extreme
 caution.
 .
 Notably, this module can be used to securely authenticate against PAM 
 (without exposing /etc/shadow file), using, for example, pwauth
 authenticator.
 .
 This Package includes the mod-athnz-external Module for Apache Version 2.x

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
#
# This version is for packages that are architecture dependent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -f *.o *.so *.la *.lo *.o *.slo
	rm -rf .libs

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	apxs2 -c -Wc,-fno-strict-aliasing mod_authnz_external.c

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_apache2
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz
http://code.google.com/p/mod-auth-external/downloads/list?can=1 .*/mod_authnz_external-(\d[\d.]*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html #PACKAGE#-(.*)\.tar\.gz

## libapache2-mod-authnz-external 3.3.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	rm -rf mod_authnz_external.so mod_authnz_external.o \
 	    mod_authnz_external.la mod_authnz_external.slo \
 	    mod_authnz_external.lo .libs
-	ls -a .*.swp
+	-ls -a .*.swp
 
 mae.tar: $(TAR)
 	tar cvf mae.tar $(TAR)

=== debian/changelog ===
libapache2-mod-authnz-external (3.3.2-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Drop fields with obsolete URLs.
  * Fix day-of-week for changelog entry 3.2.4-1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Nov 2024 11:00:39 +0100

libapache2-mod-authnz-external (3.3.2-2) unstable; urgency=medium

  * QA upload.
  * Make package reproducible by stop embedding the build path in
    compiled files.
  * Bump Standards-Version to 4.6.1.

 -- Philip Rinn <rinni@debian.org>  Fri, 11 Nov 2022 22:49:32 +0100

libapache2-mod-authnz-external (3.3.2-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #673655)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 14:11:13 -0300

libapache2-mod-authnz-external (3.3.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "dh". (Closes: #999218)

 -- Christoph Berg <myon@debian.org>  Fri, 07 Jan 2022 15:02:32 +0100

libapache2-mod-authnz-external (3.3.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release needed for Apache 2.4.1+.
  * debian/control: fix description (Closes: #614073)

 -- Petr Čech <cech@debian.org>  Tue, 06 May 2014 13:51:49 +0200

=== debian/control ===
Source: libapache2-mod-authnz-external
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: apache2-dev (>= 2.4.0),
               debhelper-compat (= 13),
               dh-apache2,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/libapache2-mod-authnz-external
Vcs-Git: https://salsa.debian.org/debian/libapache2-mod-authnz-external.git

Package: libapache2-mod-authnz-external
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: pwauth,
Description: authenticate Apache against external authentication services
 Mod_Authnz_External can be used to quickly construct secure, reliable
 authentication systems.  It can also be mis-used to quickly open gaping
 holes in your security.  Read the documentation, and use with extreme
 caution.
 .
 Notably, this module can be used to securely authenticate against PAM
 (without exposing /etc/shadow file), using, for example, pwauth
 authenticator.
 .
 This Package includes the mod-authnz-external Module for Apache Version 2.x

=== debian/rules ===
#!/usr/bin/make -f

	# Add here commands to clean up after the build process.
#	rm -f *.o *.so *.la *.lo *.o *.slo
#	rm -rf .libs

override_dh_auto_build:
	apxs2 -c -Wc,-fno-strict-aliasing -Wc,-ffile-prefix-map=$(CURDIR)=. mod_authnz_external.c

override_dh_auto_install:
	# handled by dh_install

%:
	dh $@ --with apache2
